### File

`projects/app-base-library/src/lib/angular/pipes/trust-as-css.pipe.ts`

### Metadata

name | trustAsCss

### Methods

transform
`transform(value: )`
Defined in projects/app-base-library/src/lib/angular/pipes/trust-as-css.pipe.ts:12

Parameters :

Name | Optional
value | no

Returns : `any`

    import {PipeTransform, Pipe} from '@angular/core';
    import {DomSanitizer, SafeStyle} from '@angular/platform-browser';

    @Pipe({
      name: 'trustAsCss'
    })
    export class TrustAsCssPipe  implements PipeTransform {
      constructor(private sanitizer: DomSanitizer) {
        this.sanitizer = sanitizer;
      }

      transform(value) {
        if (!value) {
          return value;
        }
        const style: SafeStyle = this.sanitizer.bypassSecurityTrustStyle(value);
        return style;
      }

    }

# results matching ""

# No results matching ""